Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util.slurpersupport
Class GPathResult

author:
  John Wilson

Field Summary
`String` | `name`
`Map` | `namespaceMap`
`String` | `namespacePrefix`
`Map` | `namespaceTagHints`
`GPathResult` | `parent`

Constructor Summary
`GPathResult(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)`

Method Summary
`void` | `appendNode(Object newValue)`
`Iterator` | `breadthFirst()` An iterator useful for traversing XML documents/fragments in breadth-first order.
`Iterator` | `childNodes()`
`GPathResult` | `children()`
`GPathResult` | `declareNamespace(Map newNamespaceMapping)`
`Iterator` | `depthFirst()`
`boolean` | `equals(Object obj)`
`GPathResult` | `find(Closure closure)`
`GPathResult` | `findAll(Closure closure)`
`Object` | `getAt(int index)`
`Object` | `getAt(IntRange range)`
`Closure` | `getBody()`
`Object` | `getProperty(String property)`
`boolean` | `isEmpty()`
`Iterator` | `iterator()`
`Object` | `leftShift(Object newValue)`
`List` | `list()`
`String` | `lookupNamespace(String prefix)`
`String` | `name()`
`Iterator` | `nodeIterator()`
`GPathResult` | `parent()`
`GPathResult` | `parents()`
`Object` | `plus(Object newValue)`
`void` | `putAt(int index, Object newValue)`
`void` | `replaceBody(Object newValue)`
`void` | `replaceNode(Closure newValue)`
`void` | `setMetaClass(MetaClass metaClass)`
`void` | `setProperty(String property, Object newValue)`
`int` | `size()`
`String` | `text()`
`BigDecimal` | `toBigDecimal()`
`BigInteger` | `toBigInteger()`
`Boolean` | `toBoolean()`
`Double` | `toDouble()`
`Float` | `toFloat()`
`Integer` | `toInteger()`
`Long` | `toLong()`
`String` | `toString()`
`URI` | `toURI()`
`URL` | `toURL()`

Constructor Detail

### GPathResult

    public GPathResult(GPathResult parent, String name, String namespacePrefix, Map namespaceTagHints)

  param:
    parent
  param:
    name
  param:
    namespacePrefix
  param:
    namespaceTagHints

Method Detail

### appendNode

    void appendNode(Object newValue)

### breadthFirst

    public Iterator breadthFirst()

  An iterator useful for traversing XML documents/fragments in breadth-first order.
  return:
    Iterator the iterator of GPathResult objects

### childNodes

    public Iterator childNodes()

### children

    public GPathResult children()

### declareNamespace

    public GPathResult declareNamespace(Map newNamespaceMapping)

### depthFirst

    public Iterator depthFirst()

### equals

    public boolean equals(Object obj)

### find

    public GPathResult find(Closure closure)

### findAll

    public GPathResult findAll(Closure closure)

### getAt

    public Object getAt(int index)

### getAt

    public Object getAt(IntRange range)

### getBody

    public Closure getBody()

### getProperty

    public Object getProperty(String property)

### isEmpty

    public boolean isEmpty()

### iterator

    public Iterator iterator()

### leftShift

    public Object leftShift(Object newValue)

### list

    public List list()

### lookupNamespace

    public String lookupNamespace(String prefix)

### name

    public String name()

### nodeIterator

    public Iterator nodeIterator()

### parent

    public GPathResult parent()

### parents

    public GPathResult parents()

### plus

    public Object plus(Object newValue)

### putAt

    public void putAt(int index, Object newValue)

### replaceBody

    void replaceBody(Object newValue)

### replaceNode

    void replaceNode(Closure newValue)

### setMetaClass

    public void setMetaClass(MetaClass metaClass)

### setProperty

    public void setProperty(String property, Object newValue)

### size

    public int size()

### text

    public String text()

### toBigDecimal

    public BigDecimal toBigDecimal()

### toBigInteger

    public BigInteger toBigInteger()

### toBoolean

    public Boolean toBoolean()

### toDouble

    public Double toDouble()

### toFloat

    public Float toFloat()

### toInteger

    public Integer toInteger()

### toLong

    public Long toLong()

### toString

    public String toString()

### toURI

    public URI toURI()

### toURL

    public URL toURL()